This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 240529 - Don't collapse empty {}
Summary: Don't collapse empty {}
Status: RESOLVED FIXED
Alias: None
Product: javascript
Classification: Unclassified
Component: Editor (show other bugs)
Version: 8.0
Hardware: PC Linux
: P3 normal with 2 votes (vote)
Assignee: arusinha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-16 08:28 UTC by peterkehl
Modified: 2017-07-02 01:49 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peterkehl 2014-01-16 08:28:26 UTC
When the user hits Ctr+Shift+<minus key>, don't collapse empty {} (used as an empty object). Currently it collapses it and it renders it {...}, which is counter-productive.

NetBeans 7.4, 8.0beta, 201401150002
Comment 1 arusinha 2017-06-29 05:03:42 UTC
Please find below relevant commit related to the bug#240529

https://hg.netbeans.org/jet-main/rev/82ac35103758
Comment 2 Quality Engineering 2017-07-02 01:49:27 UTC
Integrated into 'main-silver', will be available in build *201707020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/82ac35103758
User: Arusinha <arusinha@netbeans.org>
Log: #240529: Fixing folding of empty {}